# get

## HTTP Request

```http
GET /api/v1/tables/:tableReference/variables/:variableName
GET /api/v1/tables/:tableReference/uploads/:uploadReference/variables/:variableName
GET /api/v1/queries/:queryId/variables/:variableName
```

## Path parameters

| Parameter       |                                                                                                                                           |
| --------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| tableReference  | A qualified reference to the table. See [referencing resources](https://docs.redivis.com/api/referencing-resources) for more information. |
| uploadReference | A qualified reference to the upload. Follows the form `upload_name:id`                                                                    |
| queryId         | The id of a [query](https://docs.redivis.com/api/rest-api/queries)                                                                        |
| variableName    | The variable's name (case insensitive)                                                                                                    |

{% hint style="info" %}
This endpoint extends the [general API structure](https://docs.redivis.com/api/rest-api/general-structure).
{% endhint %}

## Authorization

Metadata access to the table is required. If a table's data is not public, your access token must have one of the following scopes:

* data.metadata
* data.data
* data.edit

[Learn more about authorization.](https://docs.redivis.com/api/rest-api/authorization)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of a [variable resource](https://docs.redivis.com/api/resource-definitions/variable).

## Examples
